SX OS on v1.0 firmware

Discussion in 'Switch - Backup Loaders & Modchips' started by cagerhager, Sep 24, 2018.

  1. cagerhager
    OP

    cagerhager Advanced Member

    Newcomer
    3
    Feb 17, 2018
    United States
    So I finally decided to purchase SX OS pro and it should arrive today. My switch is still on 1.0 firmware. Will the new sxos 2.0 work on this firmware still or will there need to be an update? I want to stay on 1.0 if possible. I know there is a way to implement exfat SD without updating as well.

    I've done quite a bit of reading on the switch hacking, maybe for those that have been in the switch modding longer than I (personally I have done a lot more with the Wii U and other systems in the past) could shed light on what can be done with SX OS on a 1.0 firmware. Thanks!
     
  2. magico29

    magico29 GBAtemp Maniac

    Member
    6
    GBAtemp Patron
    magico29 is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    Aug 2, 2017
    United States
    works on any firmware,the problem will be only games that require 1.0.0 will work.
    you cant install exfat update on firmware 1.0.0, cause i did try myself with not results.
     
  3. cagerhager
    OP

    cagerhager Advanced Member

    Newcomer
    3
    Feb 17, 2018
    United States
    so games that came out with 1.0 was available correct? so games that came out past the update for the system won't? even if updating the game via alternate means, the firmware will still need to be updated?
     
  4. magico29

    magico29 GBAtemp Maniac

    Member
    6
    GBAtemp Patron
    magico29 is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    Aug 2, 2017
    United States
    games require system update,do not get confuse as we have games updates and system updates. if the game require 2.3 you need to apply a system update to 2.3 in order to the game to be playable.
     
    cagerhager likes this.
  5. cagerhager
    OP

    cagerhager Advanced Member

    Newcomer
    3
    Feb 17, 2018
    United States
    Thanks, just wanted clarity from the two types.
     
  6. magico29

    magico29 GBAtemp Maniac

    Member
    6
    GBAtemp Patron
    magico29 is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    Aug 2, 2017
    United States
    you are welcome.
     
  7. loler55

    loler55 GBAtemp Advanced Fan

    Member
    5
    Jan 4, 2012
    Gambia, The
    Sry sx os 2.0 dont Work for firmware 1.0 -3.02
    We have to use 1.9 ... and wait for 2.1 i Think a fix is prioritY for xecuter now and to fix some Other bugs
    You can find all versions now in the sx Forum since i yesterday suggest that for People like me on 3.01 no way have to find old Version
    Bad idea before to Host only the last Version in the Website
    Waste 10 minutes to find a Alternative link to 1.9
     
    Last edited by loler55, Sep 24, 2018
    cagerhager likes this.
  8. aytug25

    aytug25 GBAtemp Regular

    Member
    5
    Apr 26, 2016
    my switch is 1.0 fw and waiting in box, I have other consoles and no rush, so I decided to wait for emunand or coldboot cfw, so now we got emunand or something like that, if I understand correctly, you can make an emunand and you can update emunand so your real nand should be on 1.0 fw, but I don't know how to update emunand, and in old methods of updating system without burning fuses give errors on game card reader, I guess new method don't have this problem but no idea about emunand will do that or not?
    Some people on 3.0 and 3.0.1 fw gets errors with sx os 2.0 but no idea what will happen on 1.0 fw, I don't have sx yet but I'm curious for sx os 2.0 and emunand, you should make a clean nand backup and then you should try emunand with sx os 2.0, if you don't get any errors, we can look for how to update emunand...
     
  9. cagerhager
    OP

    cagerhager Advanced Member

    Newcomer
    3
    Feb 17, 2018
    United States
    I just got the sxos today. I'll make a backup and see what I can do, but it'll be a couple of days, probably Wednesday
     
  10. aytug25

    aytug25 GBAtemp Regular

    Member
    5
    Apr 26, 2016
    cagerhager likes this.
  11. cagerhager
    OP

    cagerhager Advanced Member

    Newcomer
    3
    Feb 17, 2018
    United States
    So 2.0 won't work as loler55 mentioned earlier. 1.9 is working, but obviously cannot create an emunand. have to wait for 2.1 i guess.
     
    loler55 likes this.
Loading...